/**
 * 库位信息 api 封装
 *
 * @Author:    霍锦
 * @Date:      2024-11-18 14:17:31
 * @Copyright  友仓
 */
import {postRequest, getRequest} from '/@/lib/axios';

export const locationApi = {

    /**
     * 分页查询  @author  霍锦
     */
    queryPage: (param: any) => {
        return postRequest('/location/queryPage', param);
    },

    /**
     * 增加  @author  霍锦
     */
    add: (param: any) => {
        return postRequest('/location/add', param);
    },

    /**
     * 修改  @author  霍锦
     */
    update: (param: any) => {
        return postRequest('/location/update', param);
    },


    /**
     * 删除  @author  霍锦
     */
    delete: (locationId: number) => {
        return getRequest('/location/delete', {locationId});
    },

    /**
     * 批量删除  @author  霍锦
     */
    batchDelete: (idList: any) => {
        return postRequest('/location/batchDelete', idList);
    },

    /**
     * 下拉查询  @author  hj
     */
    queryLocation: (param: any) => {
        return postRequest('/location/queryLocation', param);
    },

    /**
     * 批量调整  @author  hj
     */
    multipleAdjust: (param: any) => {
        return postRequest('/location/multipleAdjust', param);
    },
};
